Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing
Class JAXWSAConstants

    java.lang.Object
      org.apache.cxf.ws.addressing.JAXWSAConstants

    public final class JAXWSAConstants

extends java.lang.Object

A container for WS-Addressing constants.

Field Summary
`static java.lang.String` | `CLIENT_ADDRESSING_PROPERTIES` Well-known Property names for AddressingProperties in BindingProvider Context.
`static java.lang.String` | `CLIENT_ADDRESSING_PROPERTIES_INBOUND` Well-known Property names for AddressingProperties in Handler Context.
`static java.lang.String` | `CLIENT_ADDRESSING_PROPERTIES_OUTBOUND`
`static java.lang.String` | `DEFAULT_ADDRESSING_BUILDER` Used by AddressingBuilder factory method.
`static java.lang.String` | `NS_WSA`
`static java.lang.String` | `NS_WSAOLD`
`static java.lang.String` | `NS_WSAW`
`static java.lang.String` | `SERVER_ADDRESSING_PROPERTIES_INBOUND`
`static java.lang.String` | `SERVER_ADDRESSING_PROPERTIES_OUTBOUND`
`static java.lang.String` | `WSA_ADDRESS_NAME`
`static java.lang.String` | `WSA_ERF_NAME`
`static java.lang.String` | `WSA_METADATA_NAME`
`static java.lang.String` | `WSA_PREFIX`
`static java.lang.String` | `WSA_REFERENCEPARAMETERS_NAME`
`static javax.xml.namespace.QName` | `WSAW_ACTION_QNAME`
`static java.lang.String` | `WSAW_ENDPOINT_NAME`
`static java.lang.String` | `WSAW_INTERFACE_NAME`
`static java.lang.String` | `WSAW_PREFIX`
`static java.lang.String` | `WSAW_SERVICENAME_NAME`
`static javax.xml.namespace.QName` | `WSAW_USINGADDRESSING_QNAME`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSAW_PREFIX

    public static final java.lang.String WSAW_PREFIX

See Also:
  Constant Field Values

### NS_WSAW

    public static final java.lang.String NS_WSAW

See Also:
  Constant Field Values

### NS_WSAOLD

    public static final java.lang.String NS_WSAOLD

See Also:
  Constant Field Values

### WSAW_ACTION_QNAME

    public static final javax.xml.namespace.QName WSAW_ACTION_QNAME

### WSAW_USINGADDRESSING_QNAME

    public static final javax.xml.namespace.QName WSAW_USINGADDRESSING_QNAME

### NS_WSA

    public static final java.lang.String NS_WSA

See Also:
  Constant Field Values

### WSA_PREFIX

    public static final java.lang.String WSA_PREFIX

See Also:
  Constant Field Values

### WSA_ERF_NAME

    public static final java.lang.String WSA_ERF_NAME

See Also:
  Constant Field Values

### WSA_REFERENCEPARAMETERS_NAME

    public static final java.lang.String WSA_REFERENCEPARAMETERS_NAME

See Also:
  Constant Field Values

### WSA_METADATA_NAME

    public static final java.lang.String WSA_METADATA_NAME

See Also:
  Constant Field Values

### WSA_ADDRESS_NAME

    public static final java.lang.String WSA_ADDRESS_NAME

See Also:
  Constant Field Values

### WSAW_SERVICENAME_NAME

    public static final java.lang.String WSAW_SERVICENAME_NAME

See Also:
  Constant Field Values

### WSAW_INTERFACE_NAME

    public static final java.lang.String WSAW_INTERFACE_NAME

See Also:
  Constant Field Values

### WSAW_ENDPOINT_NAME

    public static final java.lang.String WSAW_ENDPOINT_NAME

See Also:
  Constant Field Values

### CLIENT_ADDRESSING_PROPERTIES

    public static final java.lang.String CLIENT_ADDRESSING_PROPERTIES

  Well-known Property names for AddressingProperties in BindingProvider Context.

  See Also:
    Constant Field Values

### CLIENT_ADDRESSING_PROPERTIES_INBOUND

    public static final java.lang.String CLIENT_ADDRESSING_PROPERTIES_INBOUND

  Well-known Property names for AddressingProperties in Handler Context.

  See Also:
    Constant Field Values

### CLIENT_ADDRESSING_PROPERTIES_OUTBOUND

    public static final java.lang.String CLIENT_ADDRESSING_PROPERTIES_OUTBOUND

See Also:
  Constant Field Values

### SERVER_ADDRESSING_PROPERTIES_INBOUND

    public static final java.lang.String SERVER_ADDRESSING_PROPERTIES_INBOUND

See Also:
  Constant Field Values

### SERVER_ADDRESSING_PROPERTIES_OUTBOUND

    public static final java.lang.String SERVER_ADDRESSING_PROPERTIES_OUTBOUND

See Also:
  Constant Field Values

### DEFAULT_ADDRESSING_BUILDER

    public static final java.lang.String DEFAULT_ADDRESSING_BUILDER

  Used by AddressingBuilder factory method.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF